libvisio::VSDParagraphList Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDParagraphList Class Reference

`#include <VSDParagraphList.h>`

## Public Member Functions
| VSDParagraphList ()
| VSDParagraphList (const VSDParagraphList &paraList)
| ~VSDParagraphList ()
VSDParagraphList & | operator= (const VSDParagraphList &paraList)
void | addParaIX (unsigned id, unsigned level, unsigned charCount, const boost::optional< double > &indFirst, const boost::optional< double > &indLeft, const boost::optional< double > &indRight, const boost::optional< double > &spLine, const boost::optional< double > &spBefore, const boost::optional< double > &spAfter, const boost::optional< unsigned char > &align, const boost::optional< unsigned > &flags)
void | addParaIX (unsigned id, unsigned level, const VSDOptionalParaStyle &style)
unsigned | getCharCount (unsigned id) const
void | setCharCount (unsigned id, unsigned charCount)
void | resetCharCount ()
unsigned | getLevel () const
void | setElementsOrder (const std::vector< unsigned > &m_elementsOrder)
void | handle (VSDCollector *collector) const
void | clear ()
bool | empty () const

## Private Attributes
std::map< unsigned, VSDParagraphListElement * > | m_elements
std::vector< unsigned > | m_elementsOrder

## Constructor & Destructor Documentation

libvisio::VSDParagraphList::VSDParagraphList | ( |  | ) |

libvisio::VSDParagraphList::VSDParagraphList | ( | const VSDParagraphList & | paraList | ) |

libvisio::VSDParagraphList::~VSDParagraphList | ( |  | ) |

## Member Function Documentation

void libvisio::VSDParagraphList::addParaIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< double > & | indFirst,
|  | const boost::optional< double > & | indLeft,
|  | const boost::optional< double > & | indRight,
|  | const boost::optional< double > & | spLine,
|  | const boost::optional< double > & | spBefore,
|  | const boost::optional< double > & | spAfter,
|  | const boost::optional< unsigned char > & | align,
|  | const boost::optional< unsigned > & | flags
| ) |  |

void libvisio::VSDParagraphList::addParaIX | ( | unsigned | id,
|  | unsigned | level,
|  | const VSDOptionalParaStyle & | style
| ) |  |

void libvisio::VSDParagraphList::clear | ( |  | ) |

bool libvisio::VSDParagraphList::empty | ( |  | ) | const
| inline

unsigned libvisio::VSDParagraphList::getCharCount | ( | unsigned | id | ) | const

unsigned libvisio::VSDParagraphList::getLevel | ( |  | ) | const

void libvisio::VSDParagraphList::handle | ( | VSDCollector * | collector | ) | const

libvisio::VSDParagraphList & libvisio::VSDParagraphList::operator= | ( | const VSDParagraphList & | paraList | ) |

void libvisio::VSDParagraphList::resetCharCount | ( |  | ) |

void libvisio::VSDParagraphList::setCharCount | ( | unsigned | id,
|  | unsigned | charCount
| ) |  |

void libvisio::VSDParagraphList::setElementsOrder | ( | const std::vector< unsigned > & | m_elementsOrder | ) |

## Member Data Documentation

std::map<unsigned, VSDParagraphListElement *> libvisio::VSDParagraphList::m_elements
| private

Referenced by empty(), operator=(), and VSDParagraphList().

std::vector<unsigned> libvisio::VSDParagraphList::m_elementsOrder
| private

Referenced by operator=().

The documentation for this class was generated from the following files:

- VSDParagraphList.h
- VSDParagraphList.cpp